package net.sf.sido.io;

import java.io.IOException;
import java.io.InputStream;

import net.sf.sido.DataFactory;
import net.sf.sido.DataObject;
import net.sf.sido.DataType;

public interface DataObjectReader<T> {

	DataObject read(InputStream in, DataFactory factory) throws IOException;

	DataObject read(T element, DataFactory factory);

	DataObject read(InputStream in, DataFactory factory, DataType expectedType) throws IOException;

	DataObject read(T element, DataFactory factory, DataType expectedType);

}
