package net.sf.sido.support;

import net.sf.sido.VisitorContext;

import org.apache.commons.lang.StringUtils;

public class DefaultVisitorContext implements VisitorContext {

	private final String path;

	public DefaultVisitorContext() {
		this.path = "";
	}

	public DefaultVisitorContext(VisitorContext ctx, String suffix) {
		String old = ctx.getVisitPath();
		if (StringUtils.isNotBlank(old)) {
			this.path = old + "." + suffix;
		} else {
			this.path = suffix;
		}
	}

	@Override
	public String getVisitPath() {
		return this.path;
	}

}
