package net.sf.sido.constraint;

import java.util.regex.Pattern;

import com.google.common.base.Predicate;

public class MatchesConstraint implements Predicate<String> {

	private final Pattern pattern;

	public MatchesConstraint(String regex) {
		this.pattern = Pattern.compile(regex);
	}

	@Override
	public boolean apply(String value) {
		return this.pattern.matcher(value).matches();
	}

}
